22 Temmuz 2017 Cumartesi

Package.json da tanımlı bağımlılıkları son versiyona yükseltme

Merhaba, bu yazımda sizlere node projelerinizdeki bağımlılıkları nasıl en son versiyona yükseltebileceğinizi anlatacağım. Bu işlem için aşağıdaki adımları sırasıyla projenizde uygulamanız yeterli olacaktır.

package.json daki dependency versiyonlarını * olarak işaretleyin ve dosyayı kaydedin.
"dependencies": {
  "react": "*",
  "react-native": "*",
  "react-native-sqlite-storage": "*"
}

yüklü dependencyleri (node diznini) silin
#rm -rf ./node_modules


Son versiyonlarına güncellemek için aşağıdaki update komutunu çalıştırın
#npm update –save


Güncelleme işleminden sonra son versiyonlar aşağıdaki gibi olacaktır
"dependencies": {
  "react": "^15.6.1",
  "react-native": "^0.46.1",
  "react-native-sqlite-storage": "^3.3.1",
}




Hiç yorum yok:

Yorum Gönderme